VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ViewListenerAdapter Class Reference

View Listener Interface Adapter. More...

Inheritance diagram for ViewListenerAdapter:

## Public Member Functions
void | viewSizeChanged (CView *view, const CRect &oldSize) override
| called when the view's size changed
void | viewAttached (CView *view) override
| called when a view was attached to a view hierarchy
void | viewRemoved (CView *view) override
| called when a view was removed from the view hierarchy
void | viewLostFocus (CView *view) override
| called when a view lost focus
void | viewTookFocus (CView *view) override
| called when a view took focus
void | viewWillDelete (CView *view) override
| called when a view is going to be destroyed
void | viewOnMouseEnabled (CView *view, bool state) override
| called when a view's mouse handling is enabled or disabled
Public Member Functions inherited from IViewListener
virtual | ~IViewListener () noexcept=default

## Detailed Description

View Listener Interface Adapter.

## Member Function Documentation

void viewAttached | ( | CView * | view | ) |
| inline override virtual

called when a view was attached to a view hierarchy

Implements IViewListener.

void viewLostFocus | ( | CView * | view | ) |
| inline override virtual

called when a view lost focus

Implements IViewListener.

void viewOnMouseEnabled | ( | CView * | view,
|  | bool | state
| ) |  |
| inline override virtual

called when a view's mouse handling is enabled or disabled

Implements IViewListener.

void viewRemoved | ( | CView * | view | ) |
| inline override virtual

called when a view was removed from the view hierarchy

Implements IViewListener.

void viewSizeChanged | ( | CView * | view,
|  | const CRect & | oldSize
| ) |  |
| inline override virtual

called when the view's size changed

Implements IViewListener.

void viewTookFocus | ( | CView * | view | ) |
| inline override virtual

called when a view took focus

Implements IViewListener.

void viewWillDelete | ( | CView * | view | ) |
| inline override virtual

called when a view is going to be destroyed

Implements IViewListener.

The documentation for this class was generated from the following file:

- iviewlistener.h